Bug 984040 - openjpa: CVE-2013-1768 openjpa: Remote arbitrary code execution by creating a serialized object and leveraging improperly secured server programs [fedora-all]
openjpa: CVE-2013-1768 openjpa: Remote arbitrary code execution by creating a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openjpa (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
component:openjpa
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-1768
  Show dependency treegraph
 
Reported: 2013-07-12 11:24 EDT by Jan Lieskovsky
Modified: 2013-07-21 20:31 EDT (History)
2 users (show)

See Also:
Fixed In Version: openjpa-2.2.0-3.fc18
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-21 20:26:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-07-12 11:24:05 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2013-07-12 11:24:15 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=984034,984040
Comment 2 Fedora Update System 2013-07-12 15:38:55 EDT
openjpa-2.2.1-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openjpa-2.2.1-5.fc19
Comment 3 Fedora Update System 2013-07-12 16:43:56 EDT
openjpa-2.2.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openjpa-2.2.0-3.fc17
Comment 4 Fedora Update System 2013-07-12 16:45:23 EDT
openjpa-2.2.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openjpa-2.2.0-3.fc18
Comment 5 gil cattaneo 2013-07-12 16:57:21 EDT
(In reply to Jan Lieskovsky from comment #1)
> Please use the following update submission link to create the Bodhi
> request for this issue as it contains the top-level parent bug(s) as well
> as this tracking bug.  This will ensure that all associated bugs get
> updated when new packages are pushed to stable.
> 
> Please also ensure that the "Close bugs when update is stable" option
> remains checked.
> 
> Bodhi update submission link:
> https://admin.fedoraproject.org/updates/new/?type_=security&bugs=984034,
> 984040

hi
sorry i can't use the proposed link
bodhi return to me the following error
can't merge fc19 with fc1X build (synthesized)
regards
Comment 6 Fedora Update System 2013-07-12 17:43:34 EDT
openjpa-2.2.1-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openjpa-2.2.1-6.fc19
Comment 7 Fedora Update System 2013-07-13 23:26:20 EDT
Package openjpa-2.2.1-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openjpa-2.2.1-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12948/openjpa-2.2.1-6.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-07-21 20:26:01 EDT
openjpa-2.2.0-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-07-21 20:27:20 EDT
openjpa-2.2.1-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-07-21 20:31:20 EDT
openjpa-2.2.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.